For the complete documentation index, see llms.txt. Markdown versions of the documentation pages are available from that index.
solscan logo
Register NowRegister Now

nft activities

get

https://pro-api.solscan.io/v2.0/nft/activities

Get NFT activities

QUERY PARAMS

from

string

From

to

string

To

source

array

Filter by list source addresses. Maximum 5 addresses

Maximum allowed values: 5

activity_type

array

NFT activity type

from_time

number

Filter by time range (Unix timestamp in seconds). Example: ?from_time=1720153259&to_time=1720153276

to_time

number

Filter by time range (Unix timestamp in seconds). Example: ?from_time=1720153259&to_time=1720153276

token

string

Filter activities data by token address

collection

string

collection

currency_token

string

currency_token

price

array

Filter by price range. Requires currency_token. Example: ?price[]=1&price[]=2&currency_token=So11111111111111111111111111111111111111112

Maximum allowed values: 2

page

number

Page number for pagination

page_size

number

Number of items per page

block_time

array

Deprecated

Deprecated — use from_time/to_time instead. Block time range, Unix seconds, passed as an array. Example: ?block_time[]=1720153259&block_time[]=1720153276

Maximum allowed values: 2

RESPONSES

200

OK

Response Body (application/json)

success

boolean

Request status

block_id

number

Slot Number of activity

trans_id

string

Transaction Hash or Signature for activity

block_time

number

UnixTime of the slot

time

string

Time of the slot

activity_type

string

Type of transfer.

from_address

string

Transfer from an address

to_address

string

Transfer to an address

token_address

string

Token address

marketplace_address

string

Marketplace address

collection_address

string

Collection address

amount

number

NFT Amount

price

number

Price

currency_token

string

Currency token

currency_decimals

number

Currency token decimals

400

Bad Request

Response Body (application/json)

401

Authentication failed

Response Body (application/json)

429

Too Many Requests

Response Body (application/json)

500

Internal Server Error

Response Body (application/json)

icon

Javascript

icon

Python

icon

Shell

icon

Go

icon

C#

Authorization

Response

Click Try It! to start a request and see the response here!

Response Examples